summaryrefslogtreecommitdiffstats
path: root/system/pax/pax.SlackBuild
diff options
context:
space:
mode:
author Ben Collver2010-05-13 00:41:17 +0200
committer Robby Workman2010-05-13 00:41:17 +0200
commitcb2835a7502d40937fbcea113c9eb8d7713b6ff6 (patch)
tree56502bce8c7ba460d643d3c056532df5fcc4bc8c /system/pax/pax.SlackBuild
parent7ec0acb0c761ce7e32b78db985015d1032ac2827 (diff)
downloadslackbuilds-cb2835a7502d40937fbcea113c9eb8d7713b6ff6.tar.gz
system/pax: Updated for version 3.4
Diffstat (limited to 'system/pax/pax.SlackBuild')
-rw-r--r--system/pax/pax.SlackBuild19
1 files changed, 13 insertions, 6 deletions
diff --git a/system/pax/pax.SlackBuild b/system/pax/pax.SlackBuild
index 6cfd06bab8..5a9ee4ae28 100644
--- a/system/pax/pax.SlackBuild
+++ b/system/pax/pax.SlackBuild
@@ -32,10 +32,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -56,6 +59,7 @@ find . \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -65,8 +69,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -75,12 +81,13 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README THANKS \
- $PKG/usr/doc/$PRGNAM-$VERSION
-chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+cp -a \
+ ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}